Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.coordination
Class CoordinationManagerBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.coordination.CoordinationManagerBean

    public class CoordinationManagerBean

extends java.lang.Object

Version:
  $Revision$
Author:
  Chris Laprun

Constructor Summary
`CoordinationManagerBean()`

Method Summary
`java.lang.String` | `deleteSelected(javax.faces.event.ActionEvent actionEvent)`
`java.lang.String` | `editCoordination()`
`AliasBindingManagerBean` | `getAliasManager()`
`CoordinationConfigurator` | `getCoordinationService()`
`EventWiringManagerBean` | `getEventManager()`
`java.lang.String` | `getFacesParam(java.lang.String name)` Retrieves the value of the parameter which name is given from the JSF request.
`InstanceContainer` | `getInstanceContainer()`
`java.lang.String` | `getNewName()`
`ParameterBindingManagerBean` | `getParameterManager()`
`PortalObjectManagerBean` | `getPomb()`
`PortalObjectContainer` | `getPortalObjectContainer()`
`java.lang.String` | `getSelectedName()`
`Page` | `getSelectedPage()`
`java.lang.String` | `getSelectedType()`
`boolean` | `isExplicitEventsUsed()`
`boolean` | `isExplicitParametersUsed()`
`void` | `refresh()` Refreshes the page data.
`java.lang.String` | `renameSelected()`
`void` | `select(javax.faces.event.ActionEvent event)`
`void` | `setAliasManager(AliasBindingManagerBean aliasManager)`
`void` | `setEventManager(EventWiringManagerBean eventManager)`
`void` | `setExplicitEventsUsed(boolean usingExplicitEvents)`
`void` | `setExplicitParametersUsed(boolean usingExplicitParameters)`
`void` | `setNewName(java.lang.String newName)`
`void` | `setParameterManager(ParameterBindingManagerBean parameterManager)`
`void` | `setPomb(PortalObjectManagerBean pomb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoordinationManagerBean

    public CoordinationManagerBean()

Method Detail

### getSelectedPage

    public Page getSelectedPage()

### getPomb

    public PortalObjectManagerBean getPomb()

### setPomb

    public void setPomb(PortalObjectManagerBean pomb)

### getInstanceContainer

    public InstanceContainer getInstanceContainer()

### getCoordinationService

    public CoordinationConfigurator getCoordinationService()

### getPortalObjectContainer

    public PortalObjectContainer getPortalObjectContainer()

### getEventManager

    public EventWiringManagerBean getEventManager()

### setEventManager

    public void setEventManager(EventWiringManagerBean eventManager)

### getParameterManager

    public ParameterBindingManagerBean getParameterManager()

### setParameterManager

    public void setParameterManager(ParameterBindingManagerBean parameterManager)

### getAliasManager

    public AliasBindingManagerBean getAliasManager()

### setAliasManager

    public void setAliasManager(AliasBindingManagerBean aliasManager)

### isExplicitEventsUsed

    public boolean isExplicitEventsUsed()

### setExplicitEventsUsed

    public void setExplicitEventsUsed(boolean usingExplicitEvents)

### isExplicitParametersUsed

    public boolean isExplicitParametersUsed()

### setExplicitParametersUsed

    public void setExplicitParametersUsed(boolean usingExplicitParameters)

### editCoordination

    public java.lang.String editCoordination()

### getFacesParam

    public java.lang.String getFacesParam(java.lang.String name)

  Retrieves the value of the parameter which name is given from the JSF request. todo: JSF COMMON

  Parameters:
    `name` - name of the parameter which value we want to retrieve
  Returns:

### select

    public void select(javax.faces.event.ActionEvent event)

### getSelectedName

    public java.lang.String getSelectedName()

### getSelectedType

    public java.lang.String getSelectedType()

### deleteSelected

    public java.lang.String deleteSelected(javax.faces.event.ActionEvent actionEvent)

### refresh

    public void refresh()

  Refreshes the page data.

### setNewName

    public void setNewName(java.lang.String newName)

### getNewName

    public java.lang.String getNewName()

### renameSelected

    public java.lang.String renameSelected()
                                    throws IllegalCoordinationException

  Throws:
    `IllegalCoordinationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD